For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usDashboard
  • Get Started
    • Why Syndicate
    • Quickstart
  • Infrastructure
    • L2 / L3 Chains
    • Smart RPC
    • Mirrors
  • Guides
    • Send and Monitor Transactions
    • IP Allowlisting
    • Mirrors
  • API
      • GETGet Transaction Request by ID
      • GETGet Transaction Requests By Project
      • GETGet Transactions Attempts by Project
      • POSTSend Transaction
      • POSTCall View Function
LogoLogo
Contact usDashboard
APITransactions

Call View Function

POST
https://api.syndicate.io/transact/call
POST
/transact/call
$curl -X POST https://api.syndicate.io/transact/call \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "chainId": 1000000,
> "functionSignature": "functionSignature",
> "contractAddress": "contractAddress"
>}'
200Successful
1{
2 "key": "value"
3}
Read data from a view function on a smart contract
Was this page helpful?
Previous

Get Wallets By Project

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
chainIdlongRequired
The chain ID for the network
functionSignaturestringRequired
The human readable ABI function signature you want to call
contractAddressstringRequired
The contract address to read from
argsmap from strings to anyOptional

(Optional) The function arguments if any. The keys are the argument names or index from the provided function signature and the values are the argument values

Response

This endpoint returns any.